Create provider
- basicInformation (object) - required: Objetc that represent the main information of the user
/integration/providerRequest
curl -X POST "https://dev.integration.cl.sodtrack-shared.sodtrack.com/integration/provider" \
-H "Authorization: Bearer $SODTRACK_TOKEN" \
-H "Content-Type: application/json" \
-H "origin: dev.api.cl.sodtrack.sodtrack.com" \
-d '{
"basicInformation": {
"name": "John",
"lastName": "Contractor",
"email": "johncontractor@gmail.com",
"phoneNumber": "+56978993325",
"identificationNumber": "19081637-0",
"identificationNumberCountry": "CL"
},
"reference": "A244923DSR",
"workOnHolidays": false,
"isCompany": true,
"isMainProviderEligible": true,
"isLeadAssignmentEligible": true
}'Base URL: https://dev.integration.cl.sodtrack-shared.sodtrack.com · other environments
Headers
| Name | Type | Description |
|---|---|---|
origin | string | —dev.api.cl.sodtrack.sodtrack.com |
Request body
{
"basicInformation": {
"name": "John",
"lastName": "Contractor",
"email": "johncontractor@gmail.com",
"phoneNumber": "+56978993325",
"identificationNumber": "19081637-0",
"identificationNumberCountry": "CL"
},
"reference": "A244923DSR",
"workOnHolidays": false,
"isCompany": true,
"isMainProviderEligible": true,
"isLeadAssignmentEligible": true
}Responses
{
"id": 90,
"status": "created",
"reference": "A244923DS11"
}Error responses for this endpoint follow the shared error reference.
-
basicInformation (object) - required:Objetc that represent the main information of the user-
name (string) - required: Name of the technician or network -
lastName (string) - required: Lastname of the technician or network -
email (string) - required: Access email for the technician or network to the platforms -
phoneNumber (string) - required: Phone number -
identificationNumber (string) - required: Fiscal number of the the technician or network -
identificationNumberCountry (string) - required: ISO-2 country string
-
-
isCompany (boolean) - required: true if it is a network false if it is a single technician. -
workOnHolidays (boolean): If the avaialbility algorithm should take into account the general holidays as holidays for this provider -
isMainProviderEligible (boolean): Select if the technitian is elleggible to be main provider of projects -
isLeadAssignmentEligible (boolean): Select if the technitian is elleggible to be main provider of leads. -
reference (string): External reference of the provider, generally the identifier of the provider in your integrated platform